summaryrefslogtreecommitdiff
path: root/dev-debug
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-10-18 19:14:06 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-10-18 19:14:06 +0000
commite6fc564c40d23f49a149fdae8513f6d0309ec47a (patch)
tree3fe00b469936a030ce8caec8af8ba21f23e4c225 /dev-debug
parentba4c1875f8c9ddf19f301d06ec0b76f59ea23a2a (diff)
downloadbaldeagleos-repo-e6fc564c40d23f49a149fdae8513f6d0309ec47a.tar.gz
baldeagleos-repo-e6fc564c40d23f49a149fdae8513f6d0309ec47a.tar.xz
baldeagleos-repo-e6fc564c40d23f49a149fdae8513f6d0309ec47a.zip
Adding metadata
Diffstat (limited to 'dev-debug')
-rw-r--r--dev-debug/valgrind/Manifest2
-rw-r--r--dev-debug/valgrind/valgrind-3.26.0_rc1.ebuild203
-rw-r--r--dev-debug/valgrind/valgrind-9999.ebuild6
3 files changed, 208 insertions, 3 deletions
diff --git a/dev-debug/valgrind/Manifest b/dev-debug/valgrind/Manifest
index 78bf8ea97023..9dd2c66339a5 100644
--- a/dev-debug/valgrind/Manifest
+++ b/dev-debug/valgrind/Manifest
@@ -3,3 +3,5 @@ DIST valgrind-3.24.0.tar.bz2 16632387 BLAKE2B e11ad08f0062bd39788cd71d7ce058dec7
DIST valgrind-3.24.0.tar.bz2.asc 488 BLAKE2B f6307d10ee3ca26d837bf00471d179655ddbb0137920e175767a9d875aae355cea6727112deb788300a5196d94500bf9b341f8c70d46a1f83c40ae579ad45431 SHA512 37e9188756940960dcfe771d10275de7759ae652c94e710618948a8b366f66f3453f77b7751df0010b58304b203d7b3b56ac7a671d142d620916689ce5c84ae0
DIST valgrind-3.25.1.tar.bz2 16888334 BLAKE2B 5337096c846b62899017589fbb242ca601741ebb353834cd788efb60f951f2380c5904ba5102a17b26fa9561c2fa58912570d477e5fcc901612d6e5c14ff9b97 SHA512 6a474d58730274c57d6ca012ffd3226d393d6507cd57bf46c3b26c87a0cba84e3c8cfc84c8c76e50041861e98baba7b9613490faef4212d082845581d08af351
DIST valgrind-3.25.1.tar.bz2.asc 488 BLAKE2B e939245978d1a2808290722e9bd9ec2c02b3ae9f6bc1e2b3c99f0c5221a6d7c470865b672951436ce900318ee0e5034a94e14f7d7a56b1b5b4bf03d7bf6f87f9 SHA512 92624628da97394dedf1128d1a029dc0c42ffb13a2d5464a4915a57e6b8f3cc0ea1d82ed6cfb81c3e0ca2e024f1ba304915869fa7660009eaee50e1deea47a24
+DIST valgrind-3.26.0.RC1.tar.bz2 17167058 BLAKE2B f4bebc8819027bdf0722b1d2ea99e681f1853fbdb6c9a2859d2f44a5ad6c6a7e24134b43dec2898eff671095aa8b69d703bc2502727655427c98c619462db2e6 SHA512 f8b840b3a68621f6219c6611ccc1da0efdcaaf399b5f4c0a87a080afdc385466d6a9c8b1599a714802ea6df3bc88951def41eeb5286d6af1be673257accadf55
+DIST valgrind-3.26.0.RC1.tar.bz2.asc 228 BLAKE2B 8b8409d455ddb1c5de652da345e4831939dc953b46b8b65f44f13a2b86d16fce4bfb63c986c0739b2fd9f98ad3799d823173d29840771e7a5080a97260974ab2 SHA512 9b59d9e935f6df141487023c763e620f00439fb6c968a7642bbf14edf848c84076555a805fd42de427e86a79bde83601e84c7e274314048860403c659513c933
diff --git a/dev-debug/valgrind/valgrind-3.26.0_rc1.ebuild b/dev-debug/valgrind/valgrind-3.26.0_rc1.ebuild
new file mode 100644
index 000000000000..89714fd9ab2c
--- /dev/null
+++ b/dev-debug/valgrind/valgrind-3.26.0_rc1.ebuild
@@ -0,0 +1,203 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# The Valgrind upstream maintainer also maintains it in Fedora and will
+# backport fixes there which haven't yet made it into a release. Keep an eye
+# on it for fixes we should cherry-pick too:
+# https://src.fedoraproject.org/rpms/valgrind/tree/rawhide
+#
+# Also check the ${PV}_STABLE branch upstream for backports.
+
+inherit autotools dot-a flag-o-matic toolchain-funcs multilib pax-utils
+
+DESCRIPTION="An open-source memory debugger for GNU/Linux"
+HOMEPAGE="https://valgrind.org"
+
+if [[ ${PV} == 9999 ]]; then
+ EGIT_REPO_URI="
+ https://sourceware.org/git/${PN}.git
+ https://git.sr.ht/~sourceware/valgrind
+ "
+ inherit git-r3
+else
+ VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/valgrind.asc
+ inherit verify-sig
+
+ MY_P="${P/_rc/.RC}"
+ MY_P="${MY_P%%_p*}"
+ VALGRIND_PATCH_TARBALL="${MY_P}-patches-${PV##*_p}"
+ SRC_URI="
+ https://sourceware.org/pub/valgrind/${MY_P}.tar.bz2
+ verify-sig? ( https://sourceware.org/pub/valgrind/${MY_P}.tar.bz2.asc )
+ "
+ # Rollups of backports on ${PV}_STABLE branch upstream. This branch
+ # is usually announced on the mailing list and distros are encouraged
+ # to pull from it regularly.
+ if [[ ${PV} == *_p* ]] ; then
+ SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${VALGRIND_PATCH_TARBALL}.tar.xz"
+ fi
+
+ S="${WORKDIR}"/${MY_P}
+
+ if [[ ${PV} != *_rc* ]] ; then
+ KEYWORDS="-* ~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x64-solaris"
+ fi
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+IUSE="mpi"
+
+DEPEND="mpi? ( virtual/mpi )"
+RDEPEND="${DEPEND}"
+if [[ ${PV} == 9999 ]] ; then
+ # Needed for man pages
+ BDEPEND+="
+ app-text/docbook-xsl-stylesheets
+ dev-libs/libxslt
+ "
+else
+ BDEPEND+=" verify-sig? ( >=sec-keys/openpgp-keys-valgrind-20251018 )"
+fi
+
+PATCHES=(
+ # Respect CFLAGS, LDFLAGS
+ "${FILESDIR}"/${PN}-3.7.0-respect-flags.patch
+ "${FILESDIR}"/${PN}-3.15.0-Build-ldst_multiple-test-with-fno-pie.patch
+ "${FILESDIR}"/${PN}-3.21.0-glibc-2.34-suppressions.patch
+)
+
+QA_CONFIG_IMPL_DECL_SKIP+=(
+ # "checking if gcc accepts nested functions" but clang cannot handle good
+ # errors and reports both "function definition is not allowed here" and
+ # -Wimplicit-function-declaration. bug #900396
+ foo
+ # FreeBSD function, bug #932822
+ aio_readv
+)
+
+src_unpack() {
+ if [[ ${PV} == 9999 ]] ; then
+ git-r3_src_unpack
+ elif use verify-sig ; then
+ # Needed for downloaded patch (which is unsigned, which is fine)
+ verify-sig_verify_detached "${DISTDIR}"/${MY_P}.tar.bz2{,.asc}
+ fi
+
+ default
+}
+
+src_prepare() {
+ # Correct hard coded doc location
+ sed -i -e "s:doc/valgrind:doc/${PF}:" docs/Makefile.am || die
+
+ # Don't force multiarch stuff on OSX, bug #306467
+ sed -i -e 's:-arch \(i386\|x86_64\)::g' Makefile.all.am || die
+
+ if [[ ${CHOST} == *-solaris* ]] ; then
+ # upstream doesn't support this, but we don't build with
+ # Sun/Oracle ld, we have a GNU toolchain, so get some things
+ # working the Linux/GNU way
+ find "${S}" -name "Makefile.am" -o -name "Makefile.tool.am" | xargs \
+ sed -i -e 's:-M,/usr/lib/ld/map.noexstk:-z,noexecstack:' || die
+ cp "${S}"/coregrind/link_tool_exe_{linux,solaris}.in
+ fi
+
+ if [[ ${PV} != 9999 && -d "${WORKDIR}"/${VALGRIND_PATCH_TARBALL} ]] ; then
+ PATCHES+=( "${WORKDIR}"/${VALGRIND_PATCH_TARBALL} )
+ fi
+
+ default
+
+ eautoreconf
+}
+
+src_configure() {
+ local myconf=(
+ --with-gdbscripts-dir="${EPREFIX}"/usr/share/gdb/auto-load
+ )
+
+ tc-is-lto && myconf+=( --enable-lto )
+ lto-guarantee-fat
+
+ # Respect ar, bug #468114
+ tc-export AR
+
+ # -fomit-frame-pointer "Assembler messages: Error: junk `8' after expression"
+ # while compiling insn_sse.c in none/tests/x86
+ # -fstack-protector more undefined references to __guard and __stack_smash_handler
+ # because valgrind doesn't link to glibc (bug #114347)
+ # -fstack-protector-all Fails same way as -fstack-protector/-fstack-protector-strong.
+ # Note: -fstack-protector-explicit is a no-op for Valgrind, no need to strip it
+ # -fstack-protector-strong See -fstack-protector (bug #620402)
+ # -m64 -mx32 for multilib-portage, bug #398825
+ # -fharden-control-flow-redundancy: breaks runtime ('jump to the invalid address stated on the next line')
+ filter-flags -fomit-frame-pointer
+ filter-flags -fstack-protector
+ filter-flags -fstack-protector-all
+ filter-flags -fstack-protector-strong
+ filter-flags -m64 -mx32
+ filter-flags -fsanitize -fsanitize=*
+ filter-flags -fharden-control-flow-redundancy
+ append-cflags $(test-flags-CC -fno-harden-control-flow-redundancy)
+ filter-lto
+
+ if use amd64 || use ppc64; then
+ ! has_multilib_profile && myconf+=("--enable-only64bit")
+ fi
+
+ # Force bitness on darwin, bug #306467
+ use x64-macos && myconf+=("--enable-only64bit")
+
+ # Don't use mpicc unless the user asked for it (bug #258832)
+ if ! use mpi; then
+ myconf+=("--without-mpicc")
+ fi
+
+ econf "${myconf[@]}"
+}
+
+src_test() {
+ # fxsave.o, tronical.o have textrels
+ # -fno-strict-aliasing: https://bugs.kde.org/show_bug.cgi?id=486093
+ emake CFLAGS="${CFLAGS} -fno-strict-aliasing" LDFLAGS="${LDFLAGS} -Wl,-z,notext" check
+}
+
+src_install() {
+ if [[ ${PV} == 9999 ]]; then
+ # TODO: Could do HTML docs too with 'all-docs'
+ emake -C docs man-pages FAQ.txt
+ mv docs/FAQ.txt . || die "Couldn't move FAQ.txt"
+ fi
+
+ default
+
+ dodoc FAQ.txt
+
+ pax-mark m "${ED}"/usr/$(get_libdir)/valgrind/*-*-linux
+
+ strip-lto-bytecode
+
+ # See README_PACKAGERS
+ dostrip -x /usr/libexec/valgrind/vgpreload* /usr/$(get_libdir)/valgrind/*
+
+ if [[ ${CHOST} == *-darwin* ]] ; then
+ # fix install_names on shared libraries, can't turn them into bundles,
+ # as dyld won't load them any more then, bug #306467
+ local l
+ for l in "${ED}"/usr/lib/valgrind/*.so ; do
+ install_name_tool -id "${EPREFIX}"/usr/lib/valgrind/${l##*/} "${l}"
+ done
+ fi
+}
+
+pkg_postinst() {
+ elog "Valgrind will not work if libc (e.g. glibc) does not have debug symbols."
+ elog "To fix this you can add splitdebug to FEATURES in make.conf"
+ elog "and remerge glibc. See:"
+ elog "https://bugs.gentoo.org/214065"
+ elog "https://bugs.gentoo.org/274771"
+ elog "https://bugs.gentoo.org/388703"
+}
diff --git a/dev-debug/valgrind/valgrind-9999.ebuild b/dev-debug/valgrind/valgrind-9999.ebuild
index ce3b98be085d..89714fd9ab2c 100644
--- a/dev-debug/valgrind/valgrind-9999.ebuild
+++ b/dev-debug/valgrind/valgrind-9999.ebuild
@@ -22,7 +22,7 @@ if [[ ${PV} == 9999 ]]; then
"
inherit git-r3
else
- VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/valgrind.gpg
+ VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/valgrind.asc
inherit verify-sig
MY_P="${P/_rc/.RC}"
@@ -46,7 +46,7 @@ else
fi
fi
-LICENSE="GPL-2"
+LICENSE="GPL-3+"
SLOT="0"
IUSE="mpi"
@@ -59,7 +59,7 @@ if [[ ${PV} == 9999 ]] ; then
dev-libs/libxslt
"
else
- BDEPEND+=" verify-sig? ( sec-keys/openpgp-keys-valgrind )"
+ BDEPEND+=" verify-sig? ( >=sec-keys/openpgp-keys-valgrind-20251018 )"
fi
PATCHES=(